Bug 1264712 - Review Request: dub - The D package manager [NEEDINFO]
Review Request: dub - The D package manager
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Trivial
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2015-09-20 19:58 EDT by MERCIER Jonathan
Modified: 2016-12-09 14:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-09 14:22:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: needinfo? (bioinfornatics)
projects.rg: needinfo? (bioinfornatics)


Attachments (Terms of Use)
licensecheck.txt (8.93 KB, text/plain)
2015-11-07 19:05 EST, Raphael Groner
no flags Details

  None (edit)
Description MERCIER Jonathan 2015-09-20 19:58:35 EDT
SPEC: http://www.bioinfornatics.eu/packages/dub.spec
SRPMS: http://www.bioinfornatics.eu/packages/dub-0.9.24-1.fc22.src.rpm

$ rpmlint dub.spec
dub.spec: W: invalid-url Source0: dub-0.9.24.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$rpmlint ../SRPMS/dub-0.9.24-1.fc22.src.rpm 
dub.src: I: enchant-dictionary-not-found fr
dub.src: W: spelling-error %description -l en_US json -> son, j son
dub.src: W: spelling-error %description -l en_US subfolder -> sub folder, sub-folder, suborder
dub.src: W: invalid-url Source0: dub-0.9.24.tar.gz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
Comment 1 MERCIER Jonathan 2015-09-20 20:18:10 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 25 files have unknown license. Detailed
     output of licensecheck in
     /home/jmercier/rpmbuild/SPECS/1264712-dub/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dub-0.9.24-1.fc22.x86_64.rpm
          dub-0.9.24-1.fc22.src.rpm
dub.x86_64: I: enchant-dictionary-not-found fr
dub.x86_64: W: spelling-error %description -l en_US json -> son, j son
dub.x86_64: W: spelling-error %description -l en_US subfolder -> sub folder, sub-folder, suborder
dub.x86_64: W: unstripped-binary-or-object /usr/bin/dub
dub.x86_64: W: no-manual-page-for-binary dub
dub.src: W: spelling-error %description -l en_US json -> son, j son
dub.src: W: spelling-error %description -l en_US subfolder -> sub folder, sub-folder, suborder
dub.src: W: invalid-url Source0: dub-0.9.24.tar.gz
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
dub.x86_64: I: enchant-dictionary-not-found fr
dub.x86_64: W: spelling-error %description -l en_US json -> son, j son
dub.x86_64: W: spelling-error %description -l en_US subfolder -> sub folder, sub-folder, suborder
dub.x86_64: W: unstripped-binary-or-object /usr/bin/dub
dub.x86_64: W: no-manual-page-for-binary dub
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
dub (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcurl.so.4()(64bit)
    libdl.so.2()(64bit)
    libdruntime-ldc.so.66()(64bit)
    libm.so.6()(64bit)
    libphobos2-ldc.so.66()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
dub:
    dub
    dub(x86-64)



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1264712
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Raphael Groner 2015-11-07 19:03:56 EST
You can not do the official review on your own request, as comment #1 introduces.
Are you interested in a review swap?

SHOULD:
- please include also LICENSE_DE.txt file
- please add examples/ subfolder as documenation (maybe in a -doc subpackage)
- please ship also both scripts/bash-completion and scripts/fish-completion
  (maybe also in a subpackage)
- why is no debuginfo possible?

MUST:
- add full URL to Source0, it's not sufficient to mention in comment only
  https://fedoraproject.org/wiki/Packaging:SourceURL

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "WTFPL WTFPL (v2)", "Unknown or
     generated". 199 files have unknown license. Detailed output of
     licensecheck in /home/builder/fedora-
     review/1264712-dub/licensecheck.txt
=> WTFPL? See http://www.wtfpl.net/
[x]: %build honors applicable compiler flags or justifies otherwise.
=> No Makefile as commonly used, we use ldmd2.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[?]: Development files must be in a -devel package
=> See my comments above.
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[?]: Useful -debuginfo package or justification otherwise.
=> See question above.
[!]: Package is not known to require an ExcludeArch tag.
=> Why no arm?
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 2 files.
=> See above.
[?]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
=> ExcludeArch: arm
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dub-0.9.24-1.fc24.x86_64.rpm
          dub-0.9.24-1.fc24.src.rpm
dub.x86_64: I: enchant-dictionary-not-found fr
dub.x86_64: W: spelling-error %description -l en_US json -> son, j son
dub.x86_64: W: spelling-error %description -l en_US subfolder -> sub folder, sub-folder, suborder
dub.x86_64: W: unstripped-binary-or-object /usr/bin/dub
dub.x86_64: W: no-manual-page-for-binary dub
dub.src: W: spelling-error %description -l en_US json -> son, j son
dub.src: W: spelling-error %description -l en_US subfolder -> sub folder, sub-folder, suborder
dub.src: W: invalid-url Source0: dub-0.9.24.tar.gz
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: Datei oder Verzeichnis nicht gefunden
dub.x86_64: W: unstripped-binary-or-object /usr/bin/dub
dub.x86_64: W: no-manual-page-for-binary dub
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
dub (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libcurl.so.4()(64bit)
    libdl.so.2()(64bit)
    libdruntime-ldc.so.67()(64bit)
    libm.so.6()(64bit)
    libphobos2-ldc.so.67()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
dub:
    dub
    dub(x86-64)



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1264712
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Raphael Groner 2015-11-07 19:05 EST
Created attachment 1091135 [details]
licensecheck.txt
Comment 4 Raphael Groner 2015-12-16 17:36:02 EST
friendly ping?
Comment 5 MERCIER Jonathan 2016-01-04 16:36:52 EST
 Dear Raphael Groner, sorry for the time end of year ...


So yes I can to do a review swap oh course

Thanks for your review I will update mine soon
Comment 6 Neal Gompa 2016-02-20 10:21:08 EST
So a few things here...

* The Source should point to a canonical URL. I just tested https://github.com/D-Programming-Language/dub/archive/v0.9.24/dub-0.9.24.tar.gz, and that worked, so I suggest that you replace your Source with the following:

Source0: https://github.com/D-Programming-Language/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

* You're already pulling in libcurl-devel, so you don't need libcurl listed as a BuildRequires.

* I'm unsure if Fedora allows alternate languages in the package spec. If it's permitted, that's great, otherwise you may need to rip it out.

* Please add the available completions to the main package and add the examples as a %doc.
Comment 7 Raphael Groner 2016-02-20 11:19:52 EST
(In reply to Neal Gompa from comment #6)
…
> * I'm unsure if Fedora allows alternate languages in the package spec. If
> it's permitted, that's great, otherwise you may need to rip it out.

It's allowed additionally, as long as the default is in english:
"Please put personal preferences aside and use American English spelling in the summary and description. Packages can contain additional translated summary/description for supported Non-English languages, if available."
https://fedoraproject.org/wiki/Packaging:Guidelines#summary
Comment 8 Raphael Groner 2016-03-06 11:49:13 EST
Hi reporter,
are you still interested in this review process? If yes, please fix the open points and I can take a look again. This is a friendly reminder.
Comment 9 Raphael Groner 2016-06-16 08:41:45 EDT
Second try to get a reply from submitter. Please respond, otherwise I tend to close and mark this review as dead.
Comment 10 Raphael Groner 2016-12-09 14:22:17 EST
Following unresponsive maintainer policy.

Note You need to log in before you can comment on or make changes to this bug.